Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class Line_LineInfo

    java.lang.Object
      jet.report.xls.ChartTypeInfo
          jet.report.xls.LineInfo
              jet.report.xls.Line_LineInfo

    public class Line_LineInfo

extends LineInfo

Contains the information of line_line chart type in the file. The class extends ColumnInfo.

Field Summary

Fields inherited from class jet.report.xls.LineInfo
`CIRCLE, DEVIATION, DIAMOND, DOWJONES, F100STACKED, NONE, NORMAL, PLUSSIGN, SQUARE, STACKED, STAR, TRIANGLE, X`

Fields inherited from class jet.report.xls.ChartTypeInfo
`AREA, BAR, BAR_AREA, BAR_LINE, BOPPOP, COLUMN, CONE, CYLINDER, DROPBAR, LINE, LINE_LINE, PIE, PYRAMID, RADAR, SCATTER, SHOWBUBBLESIZE, SHOWLABEL, SHOWLABPER, SHOWNONE, SHOWPERCENT, SHOWVALUE, STOCK, SURFACE`

Constructor Summary
`Line_LineInfo(short dataLabel, short style)` Constructs a `Line_LineInfo` object with these parameters:

Method Summary
`int` | `getChartType()` Gets the type of the chart.
`short` | `getLineStyle()` Gets the style of the line.
`short` | `getMarkStyle2()` Gets the style of line2 marks.
`ChartLabelInfo` | `getX1AxisName()` Gets the minor x axis name of line_line chart.
`ChartLabelInfo` | `getY1AxisName()` Gets the minor y axis name of line_line chart.
`void` | `setLineStyle(short lineStyle)` Sets the style of the line.
`void` | `setMarkStyle2(short markStyle)` Sets the style of line2 marks.
`void` | `setX1AxisName(ChartLabelInfo x1AxisName)` Sets the minor x axis name of line_line chart.
`void` | `setY1AxisName(ChartLabelInfo y1AxisName)` Sets the minor y axis name of line_line chart.

Methods inherited from class jet.report.xls.LineInfo
`getMarkStyle, getStyle, hasShadow, setMarkStyle, setStyle`

Methods inherited from class jet.report.xls.ChartTypeInfo
`addSeries, getCatName, getCatNameRef, getDataLabel, getInfo3D, getIs3D, getSeries, getSeriesSize, insertSeries, removeSeries, replace, setCatName, setCatNameRef, setCatNameRef, setDataLabel, setInfo3D, setIs3D, setIsPercentDataLabel, setIsShowY2, setIsShowYAxis`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Line_LineInfo

    public Line_LineInfo(short dataLabel,
                         short style)

  Constructs a `Line_LineInfo` object with these parameters:

  Parameters:
    `dataLabel` - type of the data label, see `ChartTypeInfo.SHOWNONE`, `ChartTypeInfo.SHOWVALUE` and `ChartTypeInfo.SHOWLABEL`
    `style` - style of line, an be either `LineInfo.NORMAL`, `LineInfo.STACKED` or `LineInfo.F100STACKED`

Method Detail

### getChartType

    public int getChartType()

  Gets the type of the chart.

  Overrides:
    `getChartType` in class `LineInfo`
  Returns:
    type of the chart

### getX1AxisName

    public ChartLabelInfo getX1AxisName()

  Gets the minor x axis name of line_line chart.

  Returns:
    the minor x axis name of line_line chart

### setX1AxisName

    public void setX1AxisName(ChartLabelInfo x1AxisName)

  Sets the minor x axis name of line_line chart.

  Parameters:
    `x1AxisName` - the minor x axis name of line_line chart

### getY1AxisName

    public ChartLabelInfo getY1AxisName()

  Gets the minor y axis name of line_line chart.

  Returns:
    the minor y axis name of line_line chart

### setY1AxisName

    public void setY1AxisName(ChartLabelInfo y1AxisName)

  Sets the minor y axis name of line_line chart.

  Parameters:
    `y1AxisName` - the minor y axis name of line_line chart

### getLineStyle

    public short getLineStyle()

  Gets the style of the line. `LineInfo.NORMAL` `LineInfo.STACKED` `LineInfo.F100STACKED`

  Returns:
    style of the line

### setLineStyle

    public void setLineStyle(short lineStyle)

  Sets the style of the line. `LineInfo.NORMAL` `LineInfo.STACKED` `LineInfo.F100STACKED`

  Parameters:
    `lineStyle` - style of the line

### getMarkStyle2

    public short getMarkStyle2()

  Gets the style of line2 marks. `LineInfo.SQUARE` `LineInfo.DIAMOND` `LineInfo.TRIANGLE` `LineInfo.X` `LineInfo.STAR` `LineInfo.DOWJONES` `LineInfo.DEVIATION` `LineInfo.CIRCLE` `LineInfo.PLUSSIGN` `LineInfo.NONE`

  Returns:
    style of line marks

### setMarkStyle2

    public void setMarkStyle2(short markStyle)

  Sets the style of line2 marks. `LineInfo.SQUARE` `LineInfo.DIAMOND` `LineInfo.TRIANGLE` `LineInfo.X` `LineInfo.STAR` `LineInfo.DOWJONES` `LineInfo.DEVIATION` `LineInfo.CIRCLE` `LineInfo.PLUSSIGN` `LineInfo.NONE`

  Parameters:
    `markStyle` - style of line marks

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD